#include "OgreTypeConverter.h"


namespace Ogre
{

GtpVisibilityPreprocessor::AxisAlignedBox3 OgreTypeConverter::ConvertFromOgre(const AxisAlignedBox &box)
{
	const GtpVisibilityPreprocessor::Vector3 bmin = ConvertFromOgre(box.getMinimum());
	const GtpVisibilityPreprocessor::Vector3 bmax = ConvertFromOgre(box.getMaximum());

	return GtpVisibilityPreprocessor::AxisAlignedBox3(bmin, bmax);
}

GtpVisibilityPreprocessor::Vector3 OgreTypeConverter::ConvertFromOgre(const Vector3 &v)
{
    return GtpVisibilityPreprocessor::Vector3(v.x, v.y, v.z);
}
	
AxisAlignedBox OgreTypeConverter::ConvertToOgre(const GtpVisibilityPreprocessor::AxisAlignedBox3 &box)
{
	const Vector3 bmin = ConvertToOgre(box.Min());
	const Vector3 bmax = ConvertToOgre(box.Max());

	return AxisAlignedBox(bmin, bmax);
}

Vector3 OgreTypeConverter::ConvertToOgre(const GtpVisibilityPreprocessor::Vector3 &v)
{
	return Vector3(v.getX(), v.getY(), v.getZ());
}
}